## libksysguard 5.22.5

=== debian/changelog ===
libksysguard (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:48:36 +0200

libksysguard (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:43:25 +0100

libksysguard (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:06:51 +0100

libksysguard (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:54:51 +0100

libksysguard (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:58:28 +0100

libksysguard (4:5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:10:35 +0100

libksysguard (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)
  * Update build deps: libcap-dev, libnl-3-dev, libnl-route-3-dev,
    libpcap-dev
  * Add new library package libksysguardsystemstats1:
    - Add in debian/control.
    - Generate symbols file.
  * Update symbols of other libraries.
  * Update install files.
  * Breaks/Replaces for files moved from kysguard.
  * Add libkf5sysguard-bin.postinst.in and update debian/rules to set
    capabilities for ksgrd_network_helper, which has been moved from
    ksysguard.

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:53:59 +0100

libksysguard (4:5.21.80-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.21.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 14:14:11 +0100

libksysguard (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:02:56 +0100

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.82.0~),
               gettext,
               libcap-dev,
               libkf5auth-dev (>= 5.82.0~),
               libkf5completion-dev (>= 5.82.0~),
               libkf5config-dev (>= 5.82.0~),
               libkf5configwidgets-dev (>= 5.82.0~),
               libkf5coreaddons-dev (>= 5.82.0~),
               libkf5declarative-dev (>= 5.82.0~),
               libkf5globalaccel-dev (>= 5.82.0~),
               libkf5i18n-dev (>= 5.82.0~),
               libkf5iconthemes-dev (>= 5.82.0~),
               libkf5kio-dev (>= 5.82.0~),
               libkf5newstuff-dev (>= 5.82.0~),
               libkf5package-dev (>= 5.82.0~),
               libkf5plasma-dev (>= 5.82.0~),
               libkf5service-dev (>= 5.82.0~),
               libkf5widgetsaddons-dev (>= 5.82.0~),
               libkf5windowsystem-dev (>= 5.82.0~),
               libnl-3-dev,
               libnl-route-3-dev,
               libpcap-dev,
               libqt5webchannel5-dev (>= 5.15.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libx11-dev,
               libxres-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.0~),
               qtscript5-dev (>= 5.15.0~),
               qttools5-dev (>= 5.15.0~),
               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 armhf i386 mipsel],
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/libksysguard
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
Rules-Requires-Root: no

Package: libkf5sysguard-bin
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         libksgrd9 (= ${binary:Version}),
         libksysguardformatter1 (= ${binary:Version}),
         libksysguardsensorfaces1 (= ${binary:Version}),
         libksysguardsensors1 (= ${binary:Version}),
         libprocesscore9 (= ${binary:Version}),
         libprocessui9 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ksysguard (<< 4:5.21.80)
Replaces: ksysguard (<< 4:5.21.80)
Description: library for system monitoring - utilities
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the support utilities.

Package: libkf5sysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: plasma-workspace (<< 4:5.19.0~), ksysguard-data (<< 4:5.21.80),
Replaces: plasma-workspace (<< 4:5.19.0~), ksysguard-data (<< 4:5.21.80),
Description: library for system monitoring - data files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libkf5sysguard-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.82.0~),
         libkf5i18n-dev (>= 5.82.0~),
         libkf5sysguard-bin (= ${binary:Version}),
         libksignalplotter9 (= ${binary:Version}),
         liblsofui9 (= ${binary:Version}),
         qml-module-org-kde-ksysguard (= ${binary:Version}),
         qtbase5-dev (>= 5.15.0~),
         qtdeclarative5-dev (>= 5.15.0~),
         ${misc:Depends},
Description: library for system monitoring - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libksgrd9
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksgrd shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksgrd.

Package: libksignalplotter9
Architecture: any
Depends: libkf5sysguard-bin (= ${binary:Version}),
         libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksignalplotter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksignalplotter.

Package: libksysguardformatter1
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardformatter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardformatter.

Package: libksysguardsensorfaces1
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensorfaces shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensorfaces.

Package: libksysguardsensors1
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensors shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensors.

Package: libksysguardsystemstats1
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - system stats shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsystemstats

Package: liblsofui9
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - lsofui shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library liblsofui.

Package: libprocesscore9
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - processcore shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libprocesscore.

Package: libprocessui9
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - processui shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libprocessui.

Package: qml-module-org-kde-ksysguard
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-quickcharts,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KSysGuard QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KSysGuard components written
 in QML.

## libksysguard 5.23.3.1

=== debian/changelog ===
libksysguard (4:5.23.3.1-deepin1) unstable; urgency=medium

  * Fix build on RISC-V

 -- Clansty <i@gao4.pw>  Thu, 05 Jan 2023 09:47:30 +0000

libksysguard (4:5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:40:10 +0900

libksysguard (4:5.23.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:03 +0900

libksysguard (4:5.23.0-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove autopkgtest.

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Oct 2021 01:31:38 +0200

libksysguard (4:5.23.0-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Disable autopkgtest.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Oct 2021 01:09:05 +0200

libksysguard (4:5.23.0-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Update autokgtest for libkf5sysguard-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Oct 2021 17:50:10 +0200

libksysguard (4:5.23.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 15 Oct 2021 21:43:21 +0200

libksysguard (4:5.23.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Update symbols.

 -- Patrick Franz <deltaone@debian.org>  Fri, 15 Oct 2021 04:38:02 +0200

libksysguard (4:5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).
  * Introduce libksysguardsystemstats1 package.
  * Update list of installed files.
  * Move ksysguard postinst helper over here.
  * Update symbols.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:15 +0900

libksysguard (4:5.21.5-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Properly use the ${shlibs:Depends} substvar in libkf5sysguard-dev, as it
    contains Qt designer plugins.
  * Update lintian overrides.
  * Since the unit test fail (and they seem to require a bigger environment
    than the building one), then:
    - pass -DBUILD_TESTING=OFF to cmake to disable their build
    - drop the xauth, and xvfb build dependencies

 -- Pino Toscano <pino@debian.org>  Fri, 20 Aug 2021 11:46:08 +0200

libksysguard (4:5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:24:16 +0200

libksysguard (4:5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 13:55:02 +0200

libksysguard (4:5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:47:14 +0200

libksysguard (4:5.21.3.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3.1).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 07:40:09 +0900

libksysguard (4:5.21.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols for libprocesscore9.
  * Bump Standards-Version to 4.5.1 (no changes needed).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 05 Mar 2021 13:55:32 +0100

libksysguard (4:5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:50 +0900

libksysguard (4:5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:40 +0900

libksysguard (4:5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:27 +0900

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
-           Patrick Franz <patfra71@gmail.com>,
+           Patrick Franz <deltaone@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.82.0~),
+               extra-cmake-modules (>= 5.86~),
                gettext,
                libcap-dev,
                libkf5auth-dev (>= 5.82.0~),
@@ -19,6 +19,7 @@
                libkf5globalaccel-dev (>= 5.82.0~),
                libkf5i18n-dev (>= 5.82.0~),
                libkf5iconthemes-dev (>= 5.82.0~),
+               libkf5jobwidgets-dev (>= 5.82.0~),
                libkf5kio-dev (>= 5.82.0~),
                libkf5newstuff-dev (>= 5.82.0~),
                libkf5package-dev (>= 5.82.0~),
@@ -31,20 +32,20 @@
                libpcap-dev,
                libqt5webchannel5-dev (>= 5.15.0~),
                libqt5x11extras5-dev (>= 5.15.0~),
+               libsensors-dev,
                libx11-dev,
                libxres-dev,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.15.0~),
+               qtdeclarative5-dev (>= 5.15.0~),
                qtscript5-dev (>= 5.15.0~),
                qttools5-dev (>= 5.15.0~),
                qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 armhf i386 mipsel],
-               xauth,
-               xvfb,
                zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/plasma/libksysguard
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksysguard
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksysguard.git
 Rules-Requires-Root: no
 
 Package: libkf5sysguard-bin
@@ -70,8 +71,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: plasma-workspace (<< 4:5.19.0~), ksysguard-data (<< 4:5.21.80),
-Replaces: plasma-workspace (<< 4:5.19.0~), ksysguard-data (<< 4:5.21.80),
+Breaks: ksysguard-data (<< 4:5.21.80)
+Replaces: ksysguard-data (<< 4:5.21.80)
 Description: library for system monitoring - data files
  KSysGuard is a program to monitor various elements of your system, or any
  other remote system with the KSysGuard daemon (ksysgardd) installed.
@@ -90,6 +91,7 @@
          qtbase5-dev (>= 5.15.0~),
          qtdeclarative5-dev (>= 5.15.0~),
          ${misc:Depends},
+         ${shlibs:Depends},
 Description: library for system monitoring - development files
  KSysGuard is a program to monitor various elements of your system, or any
  other remote system with the KSysGuard daemon (ksysgardd) installed.
@@ -119,6 +121,39 @@
  .
  This package contains the shared library libksignalplotter.
 
+Package: liblsofui9
+Architecture: any
+Depends: libkf5sysguard-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: library for system monitoring - lsofui shared library
+ KSysGuard is a program to monitor various elements of your system, or any
+ other remote system with the KSysGuard daemon (ksysgardd) installed.
+ .
+ This package contains the shared library liblsofui.
+
+Package: libprocesscore9
+Architecture: any
+Depends: libkf5sysguard-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: library for system monitoring - processcore shared library
+ KSysGuard is a program to monitor various elements of your system, or any
+ other remote system with the KSysGuard daemon (ksysgardd) installed.
+ .
+ This package contains the shared library libprocesscore.
+
+Package: libprocessui9
+Architecture: any
+Depends: libkf5sysguard-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: library for system monitoring - processui shared library
+ KSysGuard is a program to monitor various elements of your system, or any
+ other remote system with the KSysGuard daemon (ksysgardd) installed.
+ .
+ This package contains the shared library libprocessui.
+
 Package: libksysguardformatter1
 Architecture: any
 Depends: libkf5sysguard-data (= ${source:Version}),
@@ -130,6 +165,17 @@
  .
  This package contains the shared library libksysguardformatter.
 
+Package: libksysguardsensors1
+Architecture: any
+Depends: libkf5sysguard-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: library for system monitoring - ksysguardsensors shared library
+ KSysGuard is a program to monitor various elements of your system, or any
+ other remote system with the KSysGuard daemon (ksysgardd) installed.
+ .
+ This package contains the shared library libksysguardsensors.
+
 Package: libksysguardsensorfaces1
 Architecture: any
 Depends: libkf5sysguard-data (= ${source:Version}),
@@ -141,60 +187,16 @@
  .
  This package contains the shared library libksysguardsensorfaces.
 
-Package: libksysguardsensors1
-Architecture: any
-Depends: libkf5sysguard-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Description: library for system monitoring - ksysguardsensors shared library
- KSysGuard is a program to monitor various elements of your system, or any
- other remote system with the KSysGuard daemon (ksysgardd) installed.
- .
- This package contains the shared library libksysguardsensors.
-
 Package: libksysguardsystemstats1
 Architecture: any
 Depends: libkf5sysguard-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Description: library for monitoring your system - system stats shared library
- KSysGuard is a program to monitor various elements of your system, or any
- other remote system with the KSysGuard daemon (ksysgardd) installed.
- .
- This package contains the shared library libksysguardsystemstats
-
-Package: liblsofui9
-Architecture: any
-Depends: libkf5sysguard-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Description: library for system monitoring - lsofui shared library
- KSysGuard is a program to monitor various elements of your system, or any
- other remote system with the KSysGuard daemon (ksysgardd) installed.
- .
- This package contains the shared library liblsofui.
-
-Package: libprocesscore9
-Architecture: any
-Depends: libkf5sysguard-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Description: library for system monitoring - processcore shared library
- KSysGuard is a program to monitor various elements of your system, or any
- other remote system with the KSysGuard daemon (ksysgardd) installed.
- .
- This package contains the shared library libprocesscore.
-
-Package: libprocessui9
-Architecture: any
-Depends: libkf5sysguard-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Description: library for system monitoring - processui shared library
- KSysGuard is a program to monitor various elements of your system, or any
- other remote system with the KSysGuard daemon (ksysgardd) installed.
- .
- This package contains the shared library libprocessui.
+Description: library for system monitoring - ksysguardsystemstats shared library
+ KSysGuard is a program to monitor various elements of your system, or any
+ other remote system with the KSysGuard daemon (ksysgardd) installed.
+ .
+ This package contains the shared library libksysguardsystemstats.
 
 Package: qml-module-org-kde-ksysguard
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	# fix installation of documentation outside /usr/share/doc
	mkdir -p debian/tmp/usr/share/doc/ksysguard-data
	mv debian/tmp/usr/share/ksysguard/scripts/README \
	   debian/tmp/usr/share/doc/ksysguard-data/README.scripts

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_installdeb:
	sed 's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/' \
	  debian/libkf5sysguard-bin.postinst.in > debian/libkf5sysguard-bin.postinst
	dh_installdeb

## libksysguard 5.24.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(libksysguard)

set(PROJECT_VERSION "5.24.4")
set(PROJECT_VERSION_MAJOR 5)

# check with non-Plasma consumers (e.g. KDevelop) before bumping these versions to make sure the KDE CI does not break
set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.86")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMAddTests)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)

include(CMakePackageConfigHelpers)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(FeatureSummary)
include(GenerateExportHeader)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS DBus Network Widgets Qml Quick)
find_package(Qt5WebEngineWidgets ${QT_MIN_VERSION} CONFIG)
set_package_properties(Qt5WebEngineWidgets PROPERTIES
                       URL "git://code.qt.org/qt/qtwebenginewidgets.git"
                       DESCRIPTION "Qt WebEngine module (web browsing engine)"
                       TYPE OPTIONAL
                       PURPOSE "Used by the HTML-based GUI ksysguard library"
                      )
find_package(Qt5WebChannel ${QT_MIN_VERSION} CONFIG)
set_package_properties(Qt5WebChannel PROPERTIES
                       URL "git://code.qt.org/qt/qtwebchannel.git"
                       DESCRIPTION "Qt WebChannel module"
                       TYPE OPTIONAL
                       PURPOSE "Used by the HTML-based GUI ksysguard library"
                      )


find_package(KF5 REQUIRED COMPONENTS CoreAddons Config I18n JobWidgets WindowSystem Completion Auth WidgetsAddons IconThemes ConfigWidgets Service GlobalAccel KIO Package Declarative NewStuff)

find_package(ZLIB REQUIRED)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "https://zlib.net/"
                       TYPE REQUIRED
                      )

check_library_exists(c clock_gettime "time.h" HAVE_CLOCK_GETTIME_C)

ecm_setup_version(${PROJECT_VERSION}
                  VARIABLE_PREFIX KSYSGUARD
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ksysguard_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfigVersion.cmake"
                  SOVERSION 9
)

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "https://www.x.org"
                        TYPE OPTIONAL
                        PURPOSE "Required for building the X11 based workspace"
                    )
if(X11_FOUND)
    find_package(Qt5X11Extras REQUIRED)
    find_library(X11_XRes_LIB XRes ${X11_LIB_SEARCH_PATH})
    find_path(X11_XRes_INCLUDE_PATH X11/extensions/XRes.h ${X11_INC_SEARCH_PATH})

    if(X11_XRes_LIB AND X11_XRes_INCLUDE_PATH)
        set(X11_XRes_FOUND TRUE)
    endif()
endif()

set(WEBENGINE_SCRIPTING_ENABLED FALSE)
if(Qt5WebEngineWidgets_FOUND AND Qt5WebChannel_FOUND)
    set(WEBENGINE_SCRIPTING_ENABLED TRUE)
endif()
add_feature_info("Scripting plugin support" WEBENGINE_SCRIPTING_ENABLED "Support scripting plugins using WebEngine and WebChannel")

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    find_package(NL)
    set_package_properties(NL PROPERTIES
        TYPE REQUIRED
        PURPOSE "Used for gathering socket info via the sock_diag netlink subsystem."
        URL "https://github.com/thom311/libnl/"
    )
    find_package(libpcap)
    set_package_properties(
        libpcap PROPERTIES
        TYPE RECOMMENDED
        PURPOSE "libpcap is used for per-application network usage."
    )

    if(libpcap_FOUND )
        set(BUILD_NETWORK_PLUGIN TRUE)

        find_package(Libcap)
        set_package_properties(Libcap PROPERTIES
            TYPE OPTIONAL
            PURPOSE "Needed for setting capabilities of the per-application network plugin."
        )
    endif()

    find_package(Sensors)
    set_package_properties(Sensors PROPERTIES
        TYPE REQUIRED
        PURPOSE "Used for reading hardware sensors")
endif()

set(HAVE_X11 ${X11_FOUND})
set(HAVE_XRES ${X11_XRes_FOUND})
configure_file(config-ksysguard.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ksysguard.h )

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

option(ENABLE_KAUTH_HELPER "Build and install ksysguardprocesslist_helper KAuth helper" ON)
add_feature_info(KAUTH_HELPER ${ENABLE_KAUTH_HELPER} "Build and install ksysguardprocesslist_helper KAuth helper")

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055500)
add_definitions(-DKF_DEPRECATED_WARNINGS_SINCE=0x060000)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

add_subdirectory( formatter )
add_subdirectory( lsofui )
add_subdirectory( processcore )
add_subdirectory( processui )
add_subdirectory( sensors )
add_subdirectory( faces )
add_subdirectory( signalplotter )
add_subdirectory( ksgrd )
add_subdirectory( systemstats )

if(BUILD_TESTING)
    add_subdirectory( autotests )
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

install(DIRECTORY scripts/ DESTINATION ${KDE_INSTALL_DATADIR}/ksysguard/scripts)

set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_LIBDIR}/cmake/KSysGuard)
configure_package_config_file(KSysGuardConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

configure_package_config_file(KF5SysGuardConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/KF5SysGuardConfig.cmake"
    INSTALL_DESTINATION ${KDE_INSTALL_LIBDIR}/cmake/KF5SysGuard
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/KF5SysGuardConfig.cmake
    DESTINATION ${KDE_INSTALL_LIBDIR}/cmake/KF5SysGuard
)

install(EXPORT libksysguardLibraryTargets
        NAMESPACE KSysGuard::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE KSysGuardLibraryTargets.cmake )

ecm_qt_install_logging_categories(
        EXPORT LIBKSYSGUARD
        FILE libksysguard.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== ksgrd/CMakeLists.txt ===



########### next target ###############

set(ksgrd_LIB_SRCS
   SensorAgent.cpp
   SensorManager.cpp
   SensorShellAgent.cpp
   SensorSocketAgent.cpp
)

ecm_qt_declare_logging_category(ksgrd_LIB_SRCS HEADER ksgrd_debug.h IDENTIFIER LIBKSYSGUARD_KSGRD CATEGORY_NAME org.kde.libksysguard.ksgrd
    DESCRIPTION "libksysguard (ksgrd)" EXPORT LIBKSYSGUARD)
add_definitions(-DTRANSLATION_DOMAIN=\"ksgrd\")

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)

add_library(ksgrd ${ksgrd_LIB_SRCS})
add_library(KSysGuard::SysGuard ALIAS ksgrd)
target_include_directories(ksgrd
    PUBLIC
        "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard/>"
)

target_link_libraries(ksgrd
    PUBLIC
        Qt::Core
        Qt::Network # QTcpSocket in SensorSocketAgent.h
        KF5::ConfigCore # KConfigGroup in SensorManager.h
    PRIVATE
        KF5::I18n
        KF5::CoreAddons
        KSysGuard::ProcessCore
)

set_target_properties(ksgrd PROPERTIES
    VERSION ${KSYSGUARD_VERSION}
    SOVERSION ${KSYSGUARD_SOVERSION}
    EXPORT_NAME SysGuard
)
install(TARGETS ksgrd EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES
    SensorAgent.h
    SensorClient.h
    SensorManager.h
    SensorShellAgent.h
    SensorSocketAgent.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/ksgrd
    COMPONENT Devel
)

=== signalplotter/CMakeLists.txt ===

set(ksignalplotter_WIDGETS "ksignalplotter.widgets")

set(ksignalplotter_LIB_SRCS
    ksignalplotter.cpp
    kgraphicssignalplotter.cpp
)
ecm_qt_declare_logging_category(ksignalplotter_LIB_SRCS HEADER ksignalplotter_debug.h IDENTIFIER LIBKSYSGUARD_KSIGNALPLOTTER CATEGORY_NAME org.kde.libksysguard.ksignalplotter
    DESCRIPTION "libksysguard (ksignalplotter)" EXPORT LIBKSYSGUARD)
add_library(ksignalplotter ${ksignalplotter_LIB_SRCS})
add_library(KSysGuard::SignalPlotter ALIAS ksignalplotter)

target_link_libraries(ksignalplotter
    PUBLIC
        Qt::Widgets
        KF5::I18n # klocalizedstring.h
        KF5::IconThemes
    PRIVATE
        KSysGuard::ProcessCore
)

set_target_properties(ksignalplotter PROPERTIES
   VERSION ${KSYSGUARD_VERSION}
   SOVERSION ${KSYSGUARD_SOVERSION}
   EXPORT_NAME SignalPlotter
)

install(TARGETS ksignalplotter EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ksignalplotter.h DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard COMPONENT Devel)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

=== processui/designer/CMakeLists.txt ===
include(ECMAddQtDesignerPlugin)

ecm_qtdesignerplugin_widget(KSysGuardProcessList
    INCLUDE_FILE "ksysguardprocesslist.h"
    TOOLTIP "A list of processes (programs) running."
    WHATSTHIS "A widget for showing all the processes running along with their memory usage and other details."
    GROUP "KSysGuard"
)
ecm_qtdesignerplugin_widget(KTextEditVT
    INCLUDE_FILE "KTextEditVT.h"
    TOOLTIP "A text box suitable for displaying output from VT console-based programs."
    WHATSTHIS "A widget for displaying out from console based programs.  Some VT100 style commands are interpreted (For example to change the color) as well as some non-printable characters (backspace/delete etc will delete the last character.).  For example the output from 'ls --color' can be displayed."
    GROUP "KSysGuard"
)

ecm_add_qtdesignerplugin(ksysguardwidgets
    NAME KSysGuardWidgets
    OUTPUT_NAME ksysguard5widgets
    WIDGETS
        KSysGuardProcessList
        KTextEditVT
    LINK_LIBRARIES
        KSysGuard::ProcessUi
    INSTALL_DESTINATION "${KDE_INSTALL_QTPLUGINDIR}/designer"
    COMPONENT Devel
)

=== processcore/plugins/network/helper/CMakeLists.txt ===

set(ksgrd_network_helper_SRCS
    main.cpp
    Capture.cpp
    Packet.cpp
    ConnectionMapping.cpp
    Accumulator.cpp
)

add_executable(ksgrd_network_helper ${ksgrd_network_helper_SRCS})
target_include_directories(ksgrd_network_helper PUBLIC ${PCAP_INCLUDE_DIR} ${NL_INCLUDE_DIRS})
target_link_libraries(ksgrd_network_helper ${PCAP_LIBRARY} ${NL_LIBRARIES})
kde_target_enable_exceptions(ksgrd_network_helper PUBLIC)
set_target_properties(ksgrd_network_helper PROPERTIES CXX_STANDARD 17 CXX_STANDARD_REQUIRED TRUE)

# Why can't CMake fix this itself?'
target_link_libraries(ksgrd_network_helper pthread)

install(TARGETS ksgrd_network_helper DESTINATION ${KDE_INSTALL_LIBEXECDIR}/ksysguard)

if (Libcap_FOUND)
    install(
        CODE "execute_process(
        COMMAND ${SETCAP_EXECUTABLE}
        CAP_NET_RAW=+ep
        \$ENV{DESTDIR}${KDE_INSTALL_FULL_LIBEXECDIR}/ksysguard/ksgrd_network_helper)"
    )
endif()

=== debian/changelog ===
libksysguard (4:5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:20:45 +0100

libksysguard (4:5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:15:18 +0000

libksysguard (4:5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:02:23 +0000

libksysguard (4:5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:21:47 +0000

libksysguard (4:5.24.0a-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:27:58 +0000

libksysguard (4:5.23.90-0ubuntu2) jammy; urgency=medium

  * Only use webengine on amd64 temporarily.

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Feb 2022 17:42:04 +0000

libksysguard (4:5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)
  * Update install files.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:19:22 +0000

libksysguard (4:5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:41:11 +0000

libksysguard (4:5.23.4-0ubuntu2) jammy; urgency=medium

  * Update upstream signing key

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 31 Dec 2021 13:51:48 +0000

libksysguard (4:5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:57:17 +0000

libksysguard (4:5.23.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Nov 2021 11:18:24 +0000

libksysguard (4:5.23.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.1)
  * New upstream release (5.23.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Nov 2021 07:50:47 +0000

libksysguard (4:5.23.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.0)
  * Build dep on libsensors4-dev
  * Update install files.
  * Update symbols from build logs.
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Oct 2021 17:52:54 +0100

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libcap-dev,
               libkf5auth-dev (>= 5.90.0~),
               libkf5completion-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5declarative-dev (>= 5.90.0~),
               libkf5globalaccel-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.90.0~),
               libkf5jobwidgets-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5newstuff-dev (>= 5.90.0~),
               libkf5package-dev (>= 5.90.0~),
               libkf5plasma-dev (>= 5.90.0~),
               libkf5service-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               libnl-3-dev,
               libnl-route-3-dev,
               libpcap-dev,
               libqt5webchannel5-dev (>= 5.15.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libsensors4-dev,
               libx11-dev,
               libxres-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtscript5-dev (>= 5.15.0~),
               qttools5-dev (>= 5.15.0~),
               qtwebengine5-dev (>= 5.15.0~) [amd64 i386 mipsel],
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/libksysguard
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
Rules-Requires-Root: no

Package: libkf5sysguard-bin
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         libksgrd9 (= ${binary:Version}),
         libksysguardformatter1 (= ${binary:Version}),
         libksysguardsensorfaces1 (= ${binary:Version}),
         libksysguardsensors1 (= ${binary:Version}),
         libprocesscore9 (= ${binary:Version}),
         libprocessui9 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ksysguard (<< 4:5.21.80)
Replaces: ksysguard (<< 4:5.21.80)
Description: library for system monitoring - utilities
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the support utilities.

Package: libkf5sysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ksysguard-data (<< 4:5.21.80), plasma-workspace (<< 4:5.19.0~)
Replaces: ksysguard-data (<< 4:5.21.80), plasma-workspace (<< 4:5.19.0~)
Description: library for system monitoring - data files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libkf5sysguard-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.90.0~),
         libkf5i18n-dev (>= 5.90.0~),
         libkf5sysguard-bin (= ${binary:Version}),
         libksignalplotter9 (= ${binary:Version}),
         liblsofui9 (= ${binary:Version}),
         qml-module-org-kde-ksysguard (= ${binary:Version}),
         qtbase5-dev (>= 5.15.0~),
         qtdeclarative5-dev (>= 5.15.0~),
         ${misc:Depends},
Description: library for system monitoring - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libksgrd9
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksgrd shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksgrd.

Package: libksignalplotter9
Architecture: any
Depends: libkf5sysguard-bin (= ${binary:Version}),
         libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksignalplotter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksignalplotter.

Package: libksysguardformatter1
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardformatter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardformatter.

Package: libksysguardsensorfaces1
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensorfaces shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensorfaces.

Package: libksysguardsensors1
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensors shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensors.

Package: libksysguardsystemstats1
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - system stats shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsystemstats

Package: liblsofui9
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - lsofui shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library liblsofui.

Package: libprocesscore9
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - processcore shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libprocesscore.

Package: libprocessui9
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - processui shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libprocessui.

Package: qml-module-org-kde-ksysguard
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-quickcharts,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KSysGuard QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KSysGuard components written
 in QML.
